Get schedule by id
curl --request GET \
--url https://api-sandbox.orum.io/deliver/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/schedules/{id}"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"start_date": "2025-01-01",
"recurrence": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO,WE,FR",
"next_payment_date": "2025-01-01",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"rrule_readable": "Weekly on Monday, Wednesday, and Friday",
"source": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>"
},
"destination": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>"
}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Schedules
Get schedule by id
Retrieve a single schedule
GET
/
deliver
/
schedules
/
{id}
Get schedule by id
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Path Parameters
Orum generated unique id for the schedule you are fetching. Orum generated unique id for the resource.
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I